GetMethod (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.methods

## Class GetMethod

- java.lang.Object
- - org.apache.commons.httpclient.HttpMethodBase
  - - org.apache.commons.httpclient.methods.GetMethod

- All Implemented Interfaces:
    HttpMethod

      public class GetMethod
      extends HttpMethodBase

  Implements the HTTP GET method.

  The HTTP GET method is defined in section 9.3 of RFC2616:

  > The GET method means retrieve whatever information (in the form of an entity) is identified by the Request-URI. If the Request-URI refers to a data-producing process, it is the produced data which shall be returned as the entity in the response and not the source text of the process, unless that text happens to be the output of the process.

  GetMethods will follow redirect requests from the http server by default. This behavour can be disabled by calling setFollowRedirects(false).

  Since:
    1.0
  Version:
    $Revision: 480424 $
  Author:
    Remy Maucherat, Sung-Gu Park, Sean C. Sullivan, Mike Bowler, Jeff Dever

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.httpclient.HttpMethodBase

      `effectiveVersion, statusLine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMethod()` No-arg constructor.
    `GetMethod(java.lang.String uri)` Constructor specifying a URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns `"GET"`.
    `void` | `recycle()` Deprecated. no longer supported and will be removed in the future version of HttpClient

    - ### Methods inherited from class org.apache.commons.httpclient.HttpMethodBase

      `abort, addCookieRequestHeader, addHostRequestHeader, addProxyConnectionHeader, addRequestHeader, addRequestHeader, addRequestHeaders, addResponseFooter, addUserAgentRequestHeader, checkNotUsed, checkUsed, execute, generateRequestLine, getAuthenticationRealm, getContentCharSet, getDoAuthentication, getEffectiveVersion, getFollowRedirects, getHostAuthState, getHostConfiguration, getMethodRetryHandler, getParams, getPath, getProxyAuthenticationRealm, getProxyAuthState, getQueryString, getRecoverableExceptionCount, getRequestCharSet, getRequestHeader, getRequestHeaderGroup, getRequestHeaders, getRequestHeaders, getResponseBody, getResponseBody, getResponseBodyAsStream, getResponseBodyAsString, getResponseBodyAsString, getResponseCharSet, getResponseContentLength, getResponseFooter, getResponseFooters, getResponseHeader, getResponseHeaderGroup, getResponseHeaders, getResponseHeaders, getResponseStream, getResponseTrailerHeaderGroup, getStatusCode, getStatusLine, getStatusText, getURI, hasBeenUsed, isAborted, isConnectionCloseForced, isHttp11, isRequestSent, isStrictMode, processCookieHeaders, processResponseBody, processResponseHeaders, processStatusLine, readResponse, readResponseBody, readResponseHeaders, readStatusLine, releaseConnection, removeRequestHeader, removeRequestHeader, responseBodyConsumed, setConnectionCloseForced, setDoAuthentication, setFollowRedirects, setHostConfiguration, setHttp11, setMethodRetryHandler, setParams, setPath, setQueryString, setQueryString, setRequestHeader, setRequestHeader, setResponseStream, setStrictMode, setURI, shouldCloseConnection, validate, writeRequest, writeRequestBody, writeRequestHeaders, writeRequestLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMethod

          public GetMethod()

      No-arg constructor.
      Since:
        1.0

    - #### GetMethod

          public GetMethod(java.lang.String uri)

      Constructor specifying a URI.
      Parameters:
        `uri` - either an absolute or relative URI
      Since:
        1.0

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns `"GET"`.
      Specified by:
        `getName` in interface `HttpMethod`
      Specified by:
        `getName` in class `HttpMethodBase`
      Returns:
        `"GET"`
      Since:
        2.0

    - #### recycle

          public void recycle()

      Deprecated. no longer supported and will be removed in the future version of HttpClient
      Recycles the HTTP method so that it can be used again. Note that all of the instance variables will be reset once this method has been called. This method will also release the connection being used by this HTTP method.
      Specified by:
        `recycle` in interface `HttpMethod`
      Overrides:
        `recycle` in class `HttpMethodBase`
      Since:
        1.0
      See Also:
        `HttpMethodBase.releaseConnection()`

Copyright (c) 1999-2005 - Apache Software Foundation